from bs4 import BeautifulSoup
import urllib.request as MyURL

response = MyURL.urlopen('http://www.kma.go.kr/weather/forecast/mid-term-rss3.jsp?stnId=109') # 서울 경기
weather = BeautifulSoup(response, "html.parser")

for location in weather.findAll('location'):
    print(location.city.string)
    print("="*10)
    for data in location.findAll('data'):
        print("시간:", data.tmef.string)
        print("날씨:", data.wf.string)
        print("최저:", data.tmn.string)
        print("최고:", data.tmx.string)
        print("신뢰도:", data.reliability.string)
        print()